from . import linear, mlp


def op_factory(layer, primitive):

    op_factories = {
        "Linear": linear.OP_FACTORIES,
        "Mlp": mlp.OP_FACTORIES
    }

    return op_factories[layer.__class__.__name__][primitive]